Subject: Re: [GCC BUG] -I switch not functioning correctly.
From: Chris Faylor <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked], cygwin users <[email-masked]>
Date: Mon, 13 Dec 1999 19:18:42 -0500

On Mon, Dec 13, 1999 at 05:55:33PM -0600, Mumit Khan wrote:
>Earnie Boyd <[email-masked]> writes:
>> 
>> I've another problem though.  In building Mumits JAVA-JNI examples I'm gettin
>> g
>> the missing WinMain@16 error from dllwrap which comes from the CD version.
>> 
>> Any clues?
>
>It's an unfortunate bug in dllwrap that checks for cygwin32 in target
>name instead just cygwin; I'll get it fixed for next release. 

I don't know if anyone has noticed that you may not need dllwrap as much
in the CD release.  DJ added functionality to ld which should make it
a lot easier to build DLLs.  Essentially you can say something like:

ld -shared -o foo.dll --export-all-symbols foo.o bar.o

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]